<br>
<h1>Mappa installazioni</h1>
<!---------------->
<div style="text-align: center;">
<button mat-button  style="background-color: #b6cf2d;color: white; margin-right: 30px;border: 1px solid gray;" disabled="true">Installazioni attive<span class="badge badge-pill badge-light" style="color: white" >14</span></button>

<!--------------------------->
<button mat-button style="background-color: #cf482d ; border: 1px solid gray; color: white;"routerLinkActive="list-item-active" routerLink="/default/warnings">Warning<span class="badge badge-pill badge-light" style="color: white;">4</span></button>
</div>
<!------------
<mat-menu #Warning="matMenu">
  <button mat-menu-item [matMenuTriggerFor]="batteria">Batteria</button>
  <button mat-menu-item [matMenuTriggerFor]="NoSegnale">No Segnale</button>
</mat-menu>

<mat-menu #batteria="matMenu">
  <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/dashboard">device 1</button>
  <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/dashboard">device 2</button>
  
</mat-menu>
<mat-menu #NoSegnale="matMenu">
    
    <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/dashboard">device 3</button>
    <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/dashboard">device 4</button>
    
  </mat-menu>-->
 
 

<div id="mappa" style="margin-top: 10px;">
    <input id="pac-input" class="controls" type="text" placeholder="Search Box" />

   

  <div #map style="width:100%;height:450px"></div>
</div>

<br>

<!--------------
<h1>Lista device</h1>
<br>

<div>
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="token">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>TOKEN</th>
            <td mat-cell *matCellDef="let row">{{row.token}}</td>
        </ng-container>

        <ng-container matColumnDef="installatore">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>INSTALLATORE</th>
            <td mat-cell *matCellDef="let row">{{row.installatore}}</td>
        </ng-container>

        <ng-container matColumnDef="cliente">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>CLIENTE</th>
            <td mat-cell *matCellDef="let row">{{row.cliente}}</td>
        </ng-container>

        <ng-container matColumnDef="cantiere">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>CANTIERE</th>
            <td mat-cell *matCellDef="let row">{{row.cantiere}}</td>
        </ng-container>

        <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>DATE</th>
            <td mat-cell *matCellDef="let row">{{row.date}}</td>
        </ng-container>

        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>ACTIONS</th>
            <td mat-cell *matCellDef="let row">
                <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                    <mat-icon>more_vert</mat-icon>
                </button>
                <mat-menu #menu="matMenu">
                    <button mat-menu-item>
                        <mat-icon>edit</mat-icon>
                        <span>Edit</span>
                    </button>

                    <button mat-menu-item>
                        <mat-icon>delete</mat-icon>
                        <span>Delete</span>
                    </button>

                    <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/dashboard">
                        <mat-icon>forward</mat-icon>
                        <span>Go</span>
                    </button>
                </mat-menu>

            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="columns"></tr>
        <tr mat-row *matRowDef="let row; columns: columns;"></tr>

    </table>

    <mat-paginator [length]="posts.length" [pageSize]="5" [pageSizeOptions]="[1, 5, 10, 25, 100]"
        aria-label="Select page">
    </mat-paginator>
    <br>
    <br>
</div>--->
<app-warnings></app-warnings>